explain_adjtime_or_die(3)

NAME
explain_adjtime_or_die - smoothly tune kernel clock and report errors
    "smoothly tune kernel clock and report errors"

SYNOPSIS
#include <libexplain/adjtime.h>

void explain_adjtime_or_die(const struct timeval *delta, struct timeval *olddelta);
int explain_adjtime_on_error(const struct timeval *delta, struct timeval *olddelta);

DESCRIPTION
The explain_adjtime_or_die function is used to call the adjtime(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_adjtime(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_adjtime_on_error function is used to call the adjtime(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_adjtime(3) function, but still returns to the caller.

delta
    The delta, exactly as to be passed to the adjtime(2) system call.

olddelta
    The olddelta, exactly as to be passed to the adjtime(2) system call.

RETURN VALUE
The explain_adjtime_or_die function only returns on success, see adjtime(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_adjtime_on_error function always returns the value return by the wrapped adjtime(2) system call.

EXAMPLE
The explain_adjtime_or_die function is intended to be used in a fashion similar to the following example:
    explain_adjtime_or_die(delta, olddelta);

SEE ALSO

adjtime(2)
    smoothly tune kernel clock

explain_adjtime(3)
    explain adjtime(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2009 Peter Miller